Current editor grants, Part versions and the policies the editors must respect.
GET
/api/workspace/tasks/runtime/tasks/{taskId}/edit-options
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/tasks/runtime/tasks/example/edit-options"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/runtime/tasks/example/edit-options';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/tasks/runtime/tasks/example/edit-options \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskId
required
string
Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Current property/Part permissions of the actor on one task plus the policies the editors must respect.
object
RowVersion
string format: uuid
InputRowVersion
string format: uuid
WorkingRowVersion
string format: uuid
Actions
Array<object>
object
Key
string
Enabled
boolean
ReasonCode
string
ReasonRequired
The caller must send a written reason: with any block or resolution, when ending another performer’s postponement
early, when changing or removing an assigned Executor (assign) and with a return to the Queue (return).
boolean
SubjectMode
integer format: int32
DueDateMode
integer format: int32
Context
Admitted Context definitions with their current family labels.
object
Required
boolean
Definitions
Array<object>
One admitted Context definition with its current display and family labels.
object
ModuleKey
string
ResourceKind
string
ContextResourceId
string
DisplayName
string
FamilyName
string
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "SubjectMode": 0, "DueDateMode": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}